Aviso de seguridad de Debian

DSA-827-1 backupninja -- archivo temporal inseguro

Fecha del informe:
29 de sep de 2005
Paquetes afectados:
backupninja
Vulnerable:
Referencias a bases de datos de seguridad:
En el diccionario CVE de Mitre: CVE-2005-3111.
Información adicional:

Moritz Muehlenhoff descubrió que el código del manipulador para backupninja creaba un archivo temporal con un nombre predecible, haciéndolo vulnerable a un ataque de enlace simbólico.

La distribución estable anterior (woody) no contiene el paquete backupninja.

Para la distribución estable (sarge) este problema se ha corregido en la versión 0.5-3sarge1.

Para la distribución inestable (sid) este problema se ha corregido en la versión 0.8-2.

Le recomendamos que actualice el paquete backupninja.

Arreglado en:

Debian GNU/Linux 3.1 (sarge)

Fuentes:
http://security.debian.org/pool/updates/main/b/backupninja/backupninja_0.5-3sarge1.dsc
http://security.debian.org/pool/updates/main/b/backupninja/backupninja_0.5-3sarge1.diff.gz
http://security.debian.org/pool/updates/main/b/backupninja/backupninja_0.5.orig.tar.gz
Componentes independientes de la arquitectura:
http://security.debian.org/pool/updates/main/b/backupninja/backupninja_0.5-3sarge1_all.deb

Las sumas MD5 de los ficheros que se listan están disponibles en el aviso original.